Winamp b4s File Handling Multiple Malformed Fields Overflow

High Nessus Network Monitor Plugin ID 1223

Synopsis

The remote host is vulnerable to a buffer overflow

Description

Winamp versions 3.0 build 488 and below suffer from a vulnerability in the processing of B4S files.

Solution

Upgrade to the latest version of Nullsoft's Winamp.

Plugin Details

Severity: High

ID: 1223

File Name: 1223.prm

Family: Generic

Published: 2004/08/20

Modified: 2016/01/22

Risk Information

Risk Factor: High

CVSSv2

Base Score: 9.3

Temporal Score: 8.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

CVSSv3

Base Score: 8.1

Temporal Score: 7.9

Vector: CVSS3#AV:L/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS3#E:F/RL:U/RC:X

Reference Information

CVE: CVE-2003-1272

BID: 6515